# $Revision: 1.188.2.8 $, $Date: 2012/04/14 15:05:53 $
Summary:	GNOME integrated development environment
Summary(es.UTF-8):	Entorno integrado de desarrollo (IDE) de GNOME
Summary(pl.UTF-8):	Zintegrowane środowisko programowania dla GNOME
Summary(pt_BR.UTF-8):	Ambiente de desenvolvimento integrado C e C++
Name:		anjuta
Version:	2.32.1.1
Release:	8
Epoch:		1
License:	GPL v2+
Group:		X11/Development/Tools
Source0:	http://ftp.gnome.org/pub/GNOME/sources/anjuta/2.32/%{name}-%{version}.tar.bz2
# Source0-md5:	7af70f6486eda92796268fc4bf659c27
Patch0:		%{name}-vala-0.12.patch
Patch1:		%{name}-install.patch
URL:		http://projects.gnome.org/anjuta/
BuildRequires:	GConf2-devel >= 2.26.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	autogen
BuildRequires:	automake >= 1:1.9
BuildRequires:	devhelp-devel >= 0.22
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gdl-devel >= 2.28.0
BuildRequires:	gettext-devel
BuildRequires:	gjs-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	glibc-misc
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils
BuildRequires:	gobject-introspection-devel >= 0.6.7
BuildRequires:	graphviz-devel
BuildRequires:	gtk+2-devel >= 2:2.20.0
BuildRequires:	gtk-doc >= 1.7
BuildRequires:	gtk-webkit-devel
BuildRequires:	gtksourceview2-devel >= 2.10.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgda4-devel >= 4.2.0
BuildRequires:	libgladeui-devel >= 3.6.7
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libunique-devel >= 1.0.0
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	libxslt-devel
BuildRequires:	neon-devel >= 0.28.2
BuildRequires:	perl-Locale-gettext
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
BuildRequires:	subversion-devel >= 1.5.0
BuildRequires:	vala >= 0.12.0
BuildRequires:	vte-devel >= 0.20.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,postun):	shared-mime-info
Requires(post,preun):	GConf2
# Requires:	gnome-terminal
Requires:	glib2 >= 1:2.26.0
Requires:	gtksourceview2 >= 2.10.0
Requires:	libanjuta = %{epoch}:%{version}-%{release}
Requires:	libgda4-provider-sqlite >= 4.2.0
Requires:	perl-Locale-gettext
Requires:	pkgconfig
Suggests:	ctags
Obsoletes:	gnome-build
Obsoletes:	gnome-build-devel
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Anjuta is a very versatile integrated development environment for C
and C++ for GNU/Linux. Written in GTK/GNOME and written for GTK/GNOME,
it features many advanced programming tools and utilities. Besides
many other, it has project management, application wizards, onboard
interactive debugger, and a powerful source editor with source
browsing.

%description -l es.UTF-8
Anjuta es un entorno integrado de desarrollo para C y C++ para
GNU/Linux. Escrito en y para GTK/GNOME, proporciona muchas
herramientas de programación avanzadas. Entre otros, habilita
manejamiento de proyectos, wizards de aplicaciones, depurador
interactivo y un editador potente de código fuente que permite
hojearlo.

%description -l pl.UTF-8
Anjuta to wszechstronne zintegrowane środowisko programowania dla
języka C oraz C++. Zostało napisane z wykorzystaniem tandemu
GTK/GNOME, właśnie po to by go w takim otoczeniu używać. Między innymi
posiada zarządcę projektów, kreator aplikacji, wbudowany interaktywny
odpluskwiacz oraz edytor z możliwością przeglądania źródeł.

%description -l pt_BR.UTF-8
O Anjuta é um ambiente de desenvolvimento integrado (IDE) versátil
para as linguagens C e C++. Foi escrito para o GTK/GNOME e tem uma
série de características de programação avançadas. Basicamente é uma
interface gráfica com o usuário para um conjunto de utilitários de
linha de comando e ferramentas para programação para o Linux. Estas
são geralmente executadas em um console em modo texto e podem ser não
amigáveis.

%package -n libanjuta
Summary:	libanjuta library
Summary(pl.UTF-8):	Biblioteka libanjuta
Group:		X11/Libraries
Conflicts:	%{name} < 1:2.0.2-1

%description -n libanjuta
libanjuta library.

%description -n libanjuta -l pl.UTF-8
Biblioteka libanjuta.

%package -n libanjuta-devel
Summary:	Header files for libanjuta library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libanjuta
Group:		X11/Development/Libraries
Requires:	GConf2-devel >= 2.26.0
Requires:	gtk+2-devel >= 2:2.20.0
Requires:	libanjuta = %{epoch}:%{version}-%{release}

%description -n libanjuta-devel
Header files for libanjuta library.

%description -n libanjuta-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libanjuta.

%package -n libanjuta-apidocs
Summary:	libanjuta API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libanjuta
Group:		Documentation
Requires:	gtk-doc-common

%description -n libanjuta-apidocs
libanjuta API documentation.

%description -n libanjuta-apidocs -l pl.UTF-8
Dokumentacja API biblioteki libanjuta.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir} \
	--with-omf-dir=%{_omf_dest_dir} \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--disable-silent-rules \
	--disable-static

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	mimepngicondir=%{_iconsdir}/hicolor/48x48/mimetypes \
	mimesvgicondir=%{_iconsdir}/hicolor/scalable/mimetypes

# *.la not needed - *.so loaded through libgmodule
%{__rm} $RPM_BUILD_ROOT%{_libdir}/{anjuta,glade3/modules}/lib*.la

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libanjuta.la

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/anjuta

%find_lang %{name} --with-gnome --with-omf --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%update_mime_database
%update_desktop_database
%gconf_schema_install anjuta-build-basic-autotools-plugin.schemas
%gconf_schema_install anjuta-cvs-plugin.schemas
%gconf_schema_install anjuta-document-manager.schemas
%gconf_schema_install anjuta-debug-manager.schemas
%gconf_schema_install anjuta-editor-sourceview.schemas
%gconf_schema_install anjuta-language-cpp-java.schemas
%gconf_schema_install anjuta-message-manager-plugin.schemas
%gconf_schema_install preferences.schemas
%gconf_schema_install anjuta-symbol-db.schemas
%gconf_schema_install anjuta-terminal-plugin.schemas
%gconf_schema_install file-manager.schemas
%gconf_schema_install python-plugin-properties.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall anjuta-build-basic-autotools-plugin.schemas
%gconf_schema_uninstall anjuta-cvs-plugin.schemas
%gconf_schema_uninstall anjuta-document-manager.schemas
%gconf_schema_uninstall anjuta-debug-manager.schemas
%gconf_schema_uninstall anjuta-editor-sourceview.schemas
%gconf_schema_uninstall anjuta-language-cpp-java.schemas
%gconf_schema_uninstall anjuta-message-manager-plugin.schemas
%gconf_schema_uninstall preferences.schemas
%gconf_schema_uninstall anjuta-symbol-db.schemas
%gconf_schema_uninstall anjuta-terminal-plugin.schemas
%gconf_schema_uninstall file-manager.schemas
%gconf_schema_uninstall python-plugin-properties.schemas

%postun
%scrollkeeper_update_postun
%update_mime_database
%update_desktop_database_postun
%update_icon_cache hicolor

%post	-n libanjuta -p /sbin/ldconfig
%postun -n libanjuta -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FUTURE NEWS README ROADMAP THANKS TODO doc/ScintillaDoc.html
%attr(755,root,root) %{_bindir}/anjuta
%attr(755,root,root) %{_bindir}/anjuta-launcher
%attr(755,root,root) %{_bindir}/anjuta-tags
%attr(755,root,root) %{_bindir}/gbf-am-parse
%attr(755,root,root) %{_bindir}/gbf-mkfile-parse
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/lib*.so*
%attr(755,root,root) %{_libdir}/%{name}/anjuta-python-autocomplete.py
%{_libdir}/%{name}/*.plugin
%attr(755,root,root) %{_libdir}/glade3/modules/libgladeanjuta.so
%{_pixmapsdir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/GBF
%{_datadir}/%{name}/build
%{_datadir}/%{name}/class-templates
%{_datadir}/%{name}/glade
%{_datadir}/%{name}/gtodo
%{_datadir}/%{name}/profiles
%{_datadir}/%{name}/project
%dir %{_datadir}/%{name}/tools
%attr(755,root,root) %{_datadir}/%{name}/tools/find-fixmes.pl
%attr(755,root,root) %{_datadir}/%{name}/tools/prepare-changelog.pl
%attr(755,root,root) %{_datadir}/%{name}/tools/translation-status.pl
%{_datadir}/%{name}/tools/tools-2.xml
%{_datadir}/%{name}/ui
%{_datadir}/%{name}/anjuta_project.template
%{_datadir}/%{name}/gdb.init
%{_datadir}/%{name}/languages.xml
%{_datadir}/%{name}/layout.xml
%{_datadir}/%{name}/snippets-global-variables.xml
%{_datadir}/%{name}/snippets.anjuta-snippets
%{_datadir}/%{name}/sources.list
%{_datadir}/%{name}/tables.sql
%{_datadir}/%{name}/welcome.txt
%{_datadir}/%{name}/AUTHORS
%{_datadir}/mime/packages/anjuta.xml
%{_datadir}/glade3/catalogs/anjuta-glade.xml
%{_desktopdir}/%{name}.desktop
%{_mandir}/man1/anjuta.1*
%{_mandir}/man1/anjuta-launcher.1*
%{_sysconfdir}/gconf/schemas/anjuta-build-basic-autotools-plugin.schemas
%{_sysconfdir}/gconf/schemas/anjuta-cvs-plugin.schemas
%{_sysconfdir}/gconf/schemas/anjuta-document-manager.schemas
%{_sysconfdir}/gconf/schemas/anjuta-debug-manager.schemas
%{_sysconfdir}/gconf/schemas/anjuta-editor-sourceview.schemas
%{_sysconfdir}/gconf/schemas/anjuta-language-cpp-java.schemas
%{_sysconfdir}/gconf/schemas/anjuta-message-manager-plugin.schemas
%{_sysconfdir}/gconf/schemas/anjuta-symbol-db.schemas
%{_sysconfdir}/gconf/schemas/anjuta-terminal-plugin.schemas
%{_sysconfdir}/gconf/schemas/file-manager.schemas
%{_sysconfdir}/gconf/schemas/preferences.schemas
%{_sysconfdir}/gconf/schemas/python-plugin-properties.schemas
%{_iconsdir}/hicolor/*/*/*.*

%files -n libanjuta
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libanjuta.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libanjuta.so.0
%attr(755,root,root) %{_libdir}/libanjuta-foocanvas.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libanjuta-foocanvas.so.0
%{_libdir}/girepository-1.0/Anjuta-1.0.typelib
%{_libdir}/girepository-1.0/IAnjuta-1.0.typelib

%files -n libanjuta-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libanjuta.so
%attr(755,root,root) %{_libdir}/libanjuta-foocanvas.so
%{_libdir}/libanjuta-foocanvas.la
%{_includedir}/libanjuta-1.0
%{_pkgconfigdir}/libanjuta-1.0.pc
%{_datadir}/gir-1.0/Anjuta-1.0.gir
%{_datadir}/gir-1.0/IAnjuta-1.0.gir

%files -n libanjuta-apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libanjuta

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: anjuta.spec,v $
Revision 1.188.2.8  2012/04/14 15:05:53  hawk
- real fix for building with vala 0.12 + install fix
- release 8

Revision 1.188.2.7  2011/12/13 11:54:55  hawk
- fix for building with vala 0.12.x

Revision 1.188.2.6  2011/11/02 14:10:49  hawk
- release 6

Revision 1.188.2.5  2011/10/20 08:05:24  lisu
- rel 5

Revision 1.188.2.4  2011/07/01 22:12:18  lisu
- drop libtool file
- rel 4

Revision 1.188.2.3  2011/06/17 14:48:14  lisu
- rel 3

Revision 1.188.2.2  2011/06/13 08:27:06  lisu
- rel 2

Revision 1.188.2.1  2011/06/10 08:26:03  lisu
- updated to 2.32.1.1

Revision 1.188  2011/04/08 10:00:31  lisu
- rel 4

Revision 1.187  2011/03/26 12:15:47  qboosh
- en@shaw locale is now supported (via LANGUAGE)

Revision 1.186  2011/02/04 18:23:35  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.185  2011/01/30 15:39:09  sparky
- BR: glibc-misc (for advanced libtool functions)

Revision 1.184  2010/11/26 20:39:05  arekm
- release 2

Revision 1.183  2010/11/12 19:17:09  megabajt
- updated to 2.32.1.0
- removed -desktop.patch (applied upstream)

Revision 1.182  2010/10/23 14:59:39  baggins
- rel 5

Revision 1.181  2010/10/03 14:44:47  megabajt
- release 4

Revision 1.180  2010/09/16 12:23:15  baggins
- rel 3

Revision 1.179  2010/08/12 18:04:57  arekm
- release 2

Revision 1.178  2010/06/26 18:42:43  megabajt
- updated to 2.30.2.1
- removed -includes.patch (applied upstream)

Revision 1.177  2010/04/30 17:20:41  megabajt
- fixed deps in libanjuta-devel package
- release 2

Revision 1.176  2010/04/30 14:30:32  megabajt
- updated to 2.30.1.0

Revision 1.175  2010/04/17 09:48:31  megabajt
- updated to 2.30.0.0

Revision 1.174  2010/02/10 18:39:01  megabajt
- updated to 2.28.2.0

Revision 1.173  2009/12/26 21:16:18  megabajt
- updated to 2.28.1.0
- removed obsolete -install.patch

Revision 1.172  2009/12/20 20:27:22  arekm
- release 6

Revision 1.171  2009/11/27 01:01:37  sparky
- BR: docbook-dtd412-xml

Revision 1.170  2009/11/12 16:12:57  patrys
- rebuild
- rel 5

Revision 1.169  2009/10/12 08:52:36  adamg
- release 4; rebuild agains libbfd-2.20.51.0.1 (binutils)

Revision 1.168  2009/08/02 12:12:32  megabajt
- release 3

Revision 1.167  2009/07/19 11:00:32  arekm
- release 2

Revision 1.166  2009/07/03 21:59:20  megabajt
- updated to 2.26.2.2

Revision 1.165  2009/06/20 22:50:36  hawk
- updated to 2.26.2.1

Revision 1.164  2009/06/07 18:29:02  megabajt
- updated to 2.26.2.0
- added -install.patch

Revision 1.163  2009/06/05 11:14:59  megabajt
- release 3

Revision 1.162  2009/04/22 10:27:45  arekm
- release 2

Revision 1.161  2009/04/14 11:55:40  megabajt
- updated to 2.26.1.0

Revision 1.160  2009/04/09 22:04:01  megabajt
- updated to 2.26.0.1
- removed -schemas.patch (applied upstream)

Revision 1.159  2009/04/04 23:26:02  patrys
- unique -> libunique

Revision 1.158  2009/03/28 23:56:05  areq
- rel 3

Revision 1.157  2009/03/19 11:14:10  megabajt
- added -schemas.patch (restores schemas files)
- release 2

Revision 1.156  2009/03/18 21:55:21  patrys
- merged from DEVEL

Revision 1.155.2.2  2009/03/18 21:54:24  patrys
- 2.26.0.0

Revision 1.155.2.1  2009/03/11 19:19:27  megabajt
- updated to 2.25.903.0
- removed obsolete -devhelp.patch
- S: ctags  O: gnome-build, gnome-build-devel

Revision 1.155  2009/01/07 09:33:40  arekm
- release 3

Revision 1.154  2008/12/07 23:44:19  hawk
- support for devhelp 0.22, taken from trunk version

Revision 1.153  2008/11/25 22:03:47  megabajt
- updated to 2.24.2

Revision 1.152  2008/11/12 21:18:58  arekm
- release 2

Revision 1.151  2008/10/29 19:16:55  megabajt
- updated to 2.24.1

Revision 1.150  2008/10/15 16:20:54  qboosh
- sed 4 no longer needed
- GPL version

Revision 1.149  2008/10/15 09:36:54  hawk
- updated to 2.24.0.1

Revision 1.148  2008/10/08 15:45:01  arekm
- release 6

Revision 1.147  2008/09/01 20:01:03  arekm
- release 5

Revision 1.146  2008/07/28 12:58:08  megabajt
- release 4

Revision 1.145  2008/06/28 20:18:26  arekm
- release 3

Revision 1.144  2008/06/20 10:35:59  hawk
- release 2

Revision 1.143  2008/05/31 20:42:24  adamg
- updated to 2.4.2

Revision 1.142  2008-05-16 14:34:08  megabajt
- updated to 2.4.1
- more verbose files

Revision 1.141  2008-05-13 11:40:20  pluto
- release 5 for rebuild with binutils 2.18.50.0.7.

Revision 1.140  2008-04-04 14:52:46  hawk
- release 4

Revision 1.139  2008-03-19 16:23:34  hawk
- release 3

Revision 1.138  2008-03-14 20:52:01  arekm
- rel 2

Revision 1.137  2008-03-13 12:42:35  patrys
- 2.4.0

Revision 1.136  2008-02-13 14:12:04  baggins
- rel 2

Revision 1.135  2007-12-30 21:44:53  twittner
- up to 2.2.3

Revision 1.134  2007-11-04 21:00:17  arekm
- rel 4

Revision 1.133  2007/11/03 22:56:59  ankry
- sr@Latn -> sr@latin, rel. 3

Revision 1.132  2007/11/03 00:17:51  arekm
- rel 2

Revision 1.131  2007/10/27 20:40:12  twittner
- use BR: gnome-common instead of gnome-libs-devel fr GNOME_COMPILE_WARNINGS macro
  (thnx to freetz)

Revision 1.130  2007/10/27 19:46:34  twittner
- reenable autoreconfiguration, problem with missing GNOME_COMPILE_WARNINGS
  macro has been solved by adding BR: gnome-libs-devel
- rel. 1

Revision 1.129  2007/10/27 12:15:21  twittner
- up to 2.2.2
- disable autoregeneration (broken/missing m4 sources?)
- rel. 0.1

Revision 1.128  2007/09/18 17:29:13  baggins
- rel 4

Revision 1.127  2007/09/18 08:59:48  baggins
- rel 3

Revision 1.126  2007/09/17 15:19:39  baggins
- rel 2

Revision 1.125  2007/09/10 17:47:58  qboosh
- more BRs

Revision 1.124  2007/09/10 17:26:26  twittner
- added R: glib2 >= 1:2.14 to avoid `undefined symbol: g_once_init_enter_impl'
- rel. 1

Revision 1.123  2007/09/07 17:58:59  twittner
- gnome-build-devel requirement updated

Revision 1.122  2007/09/07 17:55:52  twittner
- up to 2.2.1
- rel. 0.1 (even building asn't been tested yet)

Revision 1.121  2007/08/31 20:27:29  arekm
- rel 3; rebuild with new neon

Revision 1.120  2007/08/02 10:46:09  arekm
- rel 2

Revision 1.119  2007/07/17 16:04:50  twittner
- rel. 1

Revision 1.118  2007/07/17 15:27:21  twittner
- up to 2.2.0 (announced as stable)

Revision 1.117  2007/06/23 12:08:03  arekm
- rel 3

Revision 1.116  2007/05/15 09:06:43  arekm
- rel 2; rebuild

Revision 1.115  2007/05/11 19:15:04  megabajt
- updated to 2.1.3
- removed obsolete glade patch

Revision 1.114  2007/04/19 21:20:47  arekm
- rel 2; new binutils

Revision 1.113  2007/04/15 12:22:58  arekm
- rel 1

Revision 1.112  2007/03/29 10:22:06  twittner
- up to 2.1.2, rel. 0.1 (builds but not tested yet)

Revision 1.111  2007/03/24 23:38:38  arekm
- rebuild with new binutils

Revision 1.110  2007/03/19 12:01:50  megabajt
- release 3 to rebuild with new libbfd soname

Revision 1.109  2007/03/14 15:11:05  megabajt
- release 2 to rebuild with new libgladeui

Revision 1.108  2007/02/20 13:15:54  megabajt
- updated md5

Revision 1.107  2007/02/20 12:45:49  megabajt
- updated to 2.1.1
- removed obsolete cflags patch, added glade,create_global_tags patches
- added libanjuta-apidocs subpackage

Revision 1.106  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.105  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.104  2007/01/28 18:14:18  arekm
- rel 6

Revision 1.103  2007/01/27 08:06:02  qboosh
- if it links with libbfd, then BR: binutils-devel

Revision 1.102  2007/01/26 23:33:14  pluto
- release 5 for rebuild with new libbfd soname.

Revision 1.101  2007/01/14 19:15:25  arekm
- rel 4

Revision 1.100  2007/01/14 18:50:12  arekm
- bring cflags, too

Revision 1.99  2007/01/04 16:32:48  arekm
- BR: libwnck-devel

Revision 1.98  2007/01/04 16:04:53  arekm
- rel 2

Revision 1.97  2007/01/02 01:41:28  glen
- fix inner deps

Revision 1.96  2007/01/01 23:05:48  arekm
- rel 1; more files packaged

Revision 1.95  2006/12/27 20:25:57  glen
- -gettext.patch applied upstream

Revision 1.94  2006/12/27 20:13:49  glen
- 2.0.2, unfinished
- needs gdl-devel >= 0.6.1, which is N/A on AC, so won't work further

Revision 1.93  2006/12/23 01:14:31  glen
- remove upper BR limit for vte-devel for th

Revision 1.92  2006/12/23 01:13:17  glen
- rel 4

Revision 1.91  2006/12/23 01:12:56  glen
- adapter

Revision 1.90  2006/11/21 18:06:16  ankry
- reversed last change, TODO added, rel. 3

Revision 1.89  2006/11/21 07:39:27  ankry
- useless without gnome-terminal, rel. 2

Revision 1.88  2006/11/07 22:21:10  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.87  2006/01/18 00:22:44  maciek2w
- updated to 1.2.4a (changelog: Fixed startup bug with newer gtk versions)
- STBR

Revision 1.86  2005/08/16 19:31:03  paladine
- updated to 1.2.4 (bugfix release)

Revision 1.85  2005/05/27 23:24:05  zbyniu
- BR: gettext-devel, libstdc++-devel, popt-devel

Revision 1.84  2005/05/16 08:11:42  paladine
- updated to 1.2.3
- removed ac and locale-names patches

Revision 1.83  2005/04/08 09:37:18  paladine
- new style macros
- don't package deprecated gnome-mime-data stuff
- STBR

Revision 1.82  2005/04/01 18:17:43  paladine
- run scrollkeeper-update in quiet mode
- require new stuff (rebuild with howl 0.9.10)
- rel. 5

Revision 1.81  2004/12/27 22:53:15  grzegol
- added ac patch (remove duplicate AC_PROG_INTLTOOL from configure.in)

Revision 1.80  2004/11/17 11:07:18  paladine
- added desktop patch
- rel 4

Revision 1.79  2004/09/15 18:24:36  grzegol
- in gnome-common-2.8.0 all macros are in %{_aclocaldir}, not in
  %{_aclocaldir}/gnome2-macros, so remove -I %{_aclocal}/gnome2-macros from
  %{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.78  2004/07/29 20:22:26  qboosh
- fixed build (plugins path) on amd64, release 3

Revision 1.77  2004/07/29 18:52:37  havner
- rel 2 for rebuild

Revision 1.76  2004/05/01 21:51:31  adgor
- Removed '--enable-gprof'

Revision 1.75  2004/04/14 11:44:49  grzegol
- updated to 1.2.2
- added locale-names patch (rename locale no -> nb)

Revision 1.74  2004/01/31 12:19:44  grzegol
- updated to 1.2.1
- removed outdated desktop patch

Revision 1.73  2003/12/12 15:23:19  grzegol
- added desktop patch (adapt .desktop file to standard)

Revision 1.72  2003/12/08 16:03:22  grzegol
- updated to 1.2.0

Revision 1.71  2003/11/18 17:45:55  saq
- es translations
- grammar fix in C description
- adapterized

Revision 1.70  2003/11/12 04:41:43  witekfl
- added home_etc.patch
- added -fno-omit-frame-pointer to CFLAGS (don't remove it, it doesn't hurt)
- rel 2

Revision 1.69  2003/11/07 23:55:33  grzegol
- updated to 1.1.98
- removed outdated am patch
- updated BRs (libzvt is no longer needed)
- added  --enable-gprof
- added %post/%postun -p /usr/bin/scrollkeeper-update

Revision 1.68  2003/08/26 20:31:18  ankry
- s/[Gg]nome/GNOME/

Revision 1.67  2003/08/25 09:00:20  qboosh
- removed COPYING (just GPL), INSTALL (generic), *.la (unneeded)

Revision 1.66  2003/08/18 08:07:54  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.65  2003/08/11 20:44:51  ankry
- cosmetics

Revision 1.64  2003/08/06 16:09:47  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.63  2003/08/01 11:58:50  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.62  2003/07/07 13:03:14  qboosh
- use _desktopdir macro, other minor changes where needed

Revision 1.61  2003/06/26 19:22:03  grzegol
- updated to 1.1.97

Revision 1.60  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.59  2003/05/25 05:45:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.58  2003/04/25 23:29:16  grzegol
- updated to 1.1.1-20030412 snap (they changed version from 1.2.0 to 1.1.1)
- Epoch 1

Revision 1.57  2003/04/13 00:26:35  grzegol
- updated to 20030412 snap

Revision 1.56  2003/04/06 00:29:27  grzegol
- updated to 20030405 snap

Revision 1.55  2003/03/29 21:24:58  leafnode
- added missing BR

Revision 1.54  2003/03/22 22:42:07  krzak
- patch that make it works correctly with new gettext

Revision 1.53  2003/03/19 14:38:08  grzegol
- updated to 20030319 snap
- fixed and sorted BRs
- fixed %files

Revision 1.52  2003/03/15 16:13:26  zytek
- BR: ncurses-devel

Revision 1.51  2003/03/15 01:28:43  zytek
- BR: glib-devel

Revision 1.50  2003/03/15 01:17:28  zytek
- BR: pcre-devel (pcre-config)

Revision 1.49  2003/03/10 11:39:40  grzegol
- correctly commented out macros

Revision 1.48  2003/03/10 11:25:19  qboosh
- standardized Source0 URL

Revision 1.47  2003/03/08 17:08:32  ankry
- fixed Source0

Revision 1.46  2003/03/08 09:57:38  michuz
- updated to 1.2.0 snap 20030307

Revision 1.45  2003/01/18 22:45:25  juandon
- removed two lines with define

Revision 1.44  2002/11/29 11:03:51  pascalek
- Release: 1
- omf patch updated

Revision 1.43  2002/11/29 10:17:47  pascalek
- updated to 1.0.0 (NFY - omf.patch)

Revision 1.42  2002/10/24 16:42:26  wrobell
- start work on gtk+2 version (nfy, dncy)

Revision 1.41  2002/10/09 16:58:02  kloczek
- fix in %istall.

Revision 1.40  2002/10/09 15:11:28  kloczek
- release 8,
- added --disable-static to autoconf parameters (dont build static plugins),
- added patches:
-- module_no_version: build anjuta plugins as non versioned shared object (two entries
   in %files less),
-- use_AM_CXXFLAGS: use correct C++ optimizations (dont use directly CXXFLAGS and -O and
   use AM_CXXFLAGS without optimizations flags)
-- desktop_fix: do not use absolute path in Icon field in desktop file,
- remove run intltoolize in %build (anjuta uses xml-18n-toolize),
- remove shared object plugins .la files from %files (anjuta do not uses libltdl for
  loading modules).

Revision 1.39  2002/10/09 13:14:16  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.38  2002/10/03 17:59:41  krzak
- Release 8
- fixed omf files patch

Revision 1.37  2002/09/17 10:44:56  marcus
- added patch to not rebuild system tags
  (it's pointless, anjuta will be used on differnet machine, ant it takes
   realy long time)
- rel.7.

Revision 1.36  2002/09/16 20:27:18  blues
- release 6 - requires gnome-libs-devel (gnome-gettext,m4 is required by
  anjuta) - STBR

Revision 1.35  2002/07/21 20:02:18  kloczek
- release 5.

Revision 1.34  2002/06/23 20:52:48  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%\{__gettextize\}/"

Revision 1.33  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.32  2002/06/14 19:12:13  saq
- removed dependency-incurred BuildRequires
- updated BuildRequires
- don't build&install the sample plugin
- cleanups
- release 4, STBR

Revision 1.31  2002/06/05 03:42:15  kloczek
- use new %doc and add "rm -f missing" on top %build.

Revision 1.30  2002/05/21 23:12:41  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.29  2002/05/17 14:28:59  michuz
- fixed omf filse location
- release++

Revision 1.28  2002/05/16 06:53:03  misiek
- move omf files one level deeper; rel 2

Revision 1.27  2002/05/02 12:23:00  kloczek
- merge translations from Conectiva.

Revision 1.26  2002/04/28 19:27:06  misiek
- more BR

Revision 1.25  2002/04/28 18:57:24  michuz
- added BR audiofile, esound, pkgconfig

Revision 1.24  2002/04/28 16:28:08  michuz
- removed -no-rtti from CXXFLAGS

Revision 1.23  2002/04/28 03:21:09  michuz
- more %files update

Revision 1.22  2002/04/28 03:08:01  michuz
- removed doubled BR

Revision 1.21  2002/04/28 03:06:36  michuz
- updated to 0.1.9

Revision 1.20  2002/04/25 15:44:29  arturs
- fixed a small typo

Revision 1.19  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.18  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/12 19:59:54  kloczek
- s/xml-i18n-tools/intltool/ in BuildRequires,
- fix am_ac patch instead add nest fix on fix in %build.

Revision 1.16  2002/02/12 18:39:18  filon
- added patch to not rebuild system tags
  (it's pointless, anjuta will be used on differnet machine, ant it takes
   realy, realy, long time)
- buildrequires: xml-i18n-tools
- added destdir patch (fixes install)
- release 4

Revision 1.15  2002/02/10 21:08:08  kloczek
- release 3.

Revision 1.14  2002/02/10 20:23:14  adasi
- added missing libxml-devel BuildReqs

Revision 1.13  2002/02/10 01:45:11  blues
- adapterized
- sed-patching used
  NOTE: still does not build.

Revision 1.12  2002/01/18 02:12:19  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/13 18:33:21  kloczek
- release 2: use intltool instead outdated xml-i18n-tools.

Revision 1.10  2001/12/07 00:15:07  kloczek
- added regenerate scrollkeeper files in %post/%postun.

Revision 1.9  2001/12/06 23:06:32  misiek
- updated to 0.1.8 (lot of bugfixes; polish translation)

Revision 1.8  2001/09/26 09:19:33  qboosh
- BuildRequires: gettext-devel

Revision 1.7  2001/06/29 21:12:03  kloczek
- added am_fixes patch: dix passing CXXFLAGS to compile C++ code,
- added missing BuildRequires (libstdc++-devel, gnome-libs-devel),
- use %find_lang macro for collect all languages depending files,
- regenerate ac/am/lt/gettext files,
- pass -fno-rtti -fno-exceptions to C++ compile flags (smaller binaries),
- use more macros in %files,
- some cosmetics.

Revision 1.6  2001/06/29 08:36:06  alchemyx
- fixed some stupid bugs, should build fine now

Revision 1.5  2001/06/29 08:32:40  alchemyx
- desktop file added
- added buildreq (is it enough?)
- adapterized
- release 1, STB

Revision 1.4  2001/06/29 07:49:02  alchemyx
- section files added

Revision 1.3  2001/06/28 18:57:58  alchemyx
- added descriptions
- translated to polish

Revision 1.2  2001/06/28 18:48:27  alchemyx
- some preparation (group, etc)
- adapterized
